<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.info.mapper.EEnterpriseBasicInfoMapper">

    <resultMap id="BaseResultMap" type="com.zksy.info.domain.EEnterpriseBasicInfo">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="enterpriseName" column="enterprise_name" jdbcType="VARCHAR"/>
            <result property="unifiedSocialCreditCode" column="unified_social_credit_code" jdbcType="VARCHAR"/>
            <result property="registrationDate" column="registration_date" jdbcType="DATE"/>
            <result property="outputValue" column="output_value" jdbcType="DECIMAL"/>
            <result property="outputValueYoy" column="output_value_yoy" jdbcType="VARCHAR"/>
            <result property="taxRevenue" column="tax_revenue" jdbcType="DECIMAL"/>
            <result property="taxRevenueYoy" column="tax_revenue_yoy" jdbcType="VARCHAR"/>
            <result property="revenue" column="revenue" jdbcType="DECIMAL"/>
            <result property="revenueYoy" column="revenue_yoy" jdbcType="VARCHAR"/>
            <result property="isAboveDesignatedSize" column="is_above_designated_size" jdbcType="VARCHAR"/>
            <result property="isHighTech" column="is_high_tech" jdbcType="VARCHAR"/>
            <result property="enterpriseLeader" column="enterprise_leader" jdbcType="VARCHAR"/>
            <result property="contactInformation" column="contact_information" jdbcType="VARCHAR"/>
            <result property="enterpriseIntroduce" column="enterprise_introduce" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,enterprise_name,unified_social_credit_code,
        registration_date,output_value,output_value_yoy,
        tax_revenue,tax_revenue_yoy,revenue,
        revenue_yoy,is_above_designated_size,is_high_tech,
        enterprise_leader,contact_information,enterprise_introduce,create_time,
        update_time
    </sql>
</mapper>
